package com.atlassian.stash.internal.maintenance;

import com.atlassian.bitbucket.i18n.KeyedMessage;

import javax.annotation.Nonnull;

/**
 * @since 2.1
 */
public class IncorrectTokenMaintenanceException extends MaintenanceException {

    private final String token;

    public IncorrectTokenMaintenanceException(@Nonnull KeyedMessage message, String token) {
        super(message);

        this.token = token;
    }

    public String getToken() {
        return token;
    }
}
